Package ru.bitel.bgbilling.modules.npay.common.bean

# Enum Class FilterMode

java.lang.Object
java.lang.Enum<FilterMode>
ru.bitel.bgbilling.modules.npay.common.bean.FilterMode

All Implemented Interfaces:
  `Serializable`, `Comparable<FilterMode>`, `Constable`

public enum FilterMode extends Enum<FilterMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFTER`
  `ALL`
  `BEFORE`
  `DAY`
  `DAY_AFTER`
  `DAY_BEFORE`
  `FIRST_DAY_OF_MONTH`
  `LAST`
  `PERIOD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FilterMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FilterMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final FilterMode ALL

  - ### PERIOD

    public static final FilterMode PERIOD

  - ### DAY

    public static final FilterMode DAY

  - ### DAY_BEFORE

    public static final FilterMode DAY_BEFORE

  - ### DAY_AFTER

    public static final FilterMode DAY_AFTER

  - ### BEFORE

    public static final FilterMode BEFORE

  - ### AFTER

    public static final FilterMode AFTER

  - ### LAST

    public static final FilterMode LAST

  - ### FIRST_DAY_OF_MONTH

    public static final FilterMode FIRST_DAY_OF_MONTH

- ## Method Details

  - ### values

    public static FilterMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FilterMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null